/*
 * @Author: fuyu
 * @Date: 2021-03-23 11:56:31
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-28 19:37:12
 * @FilePath: /sql_merge/merge.config.js
 */
/**
 * PM2启动配置
 */
module.exports = {
  apps: [{
      name: "merge",
      script: 'index.js',

      watch: ['src'],
      ignore_watch: ['node_modules', 'dist', 'logs'],

      out_file: '/data/logs/pm2/merge/out.log',
      error_file: '/data/logs/pm2/merge/error.log',

      max_memory_restart: '2G', //超过多大内存自动重启，仅防止内存泄露有意义，需要根据自己的业务设置
      exec_mode: 'cluster', //开启多线程模式，用于负载均衡
      instances: '1', //启用多少个实例，可用于负载均衡
      autorestart: true, //程序崩溃后自动重启

      env: { NODE_ENV: 'production' },
    }
  ]
}
